clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions
clang::tidy::google::runtime Namespace Reference

## Classes
class | IntegerTypesCheck
| Finds uses of `short`, `long` and `long long` and suggest replacing them with `u?intXX(_t)?`. More...
class | MemsetZeroLengthCheck
| Finds calls to memset with a literal zero in the length argument. More...
class | OverloadedUnaryAndCheck
| Finds overloads of unary `operator &`. More...
class | StringReferenceMemberCheck
| Finds members of type `const string&`. More...

## Functions
static StringRef | getAsString (const MatchFinder::MatchResult &Result, SourceRange R)
| Get a StringRef representing a SourceRange. More...

## Function Documentation

static StringRef clang::tidy::google::runtime::getAsString | ( | const MatchFinder::MatchResult & | Result,
|  | SourceRange | R
| ) |  |
| static

Get a StringRef representing a SourceRange.

Definition at line 35 of file MemsetZeroLengthCheck.cpp.

References SM.

Referenced by clang::tidy::google::runtime::MemsetZeroLengthCheck::check().